/LOWVAL/ {
	# read in the sequence numbers and times from which
	# all else is offset
	tzero = $2
	szero = $3
}

$1 !~ /LOWVAL/ && $6 !~ /^ack/ && $5 !~ /[SFR]/ 	{
	# given a tcpdump ftp trace, output one line for each send
	# in the form
	#   <send time> <seq no>
	# where <send time> is the time packet was sent (in seconds with
	# zero at time of first packet) and <seq no> is the tcp sequence
	# number of the last byte in the packet divided by 1024 (i.e., Kbytes
	# sent).

	# convert time to seconds
	n = split ($1,t,":")
	tim = t[1]*3600 + t[2]*60 + t[3]
	# get packet sequence number
	i = index($6,":")
	j = index($6,"(")
	printf "%7.6f\t%g\n", tim-tzero, substr($6,i+1,j-1)/1024-szero
}
